Your Moodle version

General plugins (Local): Vm Chat

local_vmchat
Maintained by Picture of Jai Gupta Jai Gupta, Picture of Pinky Sharma Pinky Sharma
Footer Chat for Moodle
2k
87
6
Moodle 2.4, 2.5, 2.6, 2.7, 2.8, 2.9

Footer Chat for Moodle

Potential privacy issues

Plugin will modify their $CFG->additionalhtmlfooter and $CFG->additionalhtmlheader when installed. Uses 3rd party services (www.vidyamantra.com) over secure (SSL) channel.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2

Contributors

Picture of Jai Gupta
Jai Gupta (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Pinky Sharma
    Thu, Oct 16, 2014, 1:21 AM
    Jesse,

    This error message is shown when the user has not been authenticated by our servers.

    Does login/logout disappear this error message ?

    How many users are using vmchat concurrently? more than 100?

    Try clearing your browser cookies to see if this works ?

    In case it does not help then can you elaborate a more about the scenario in which error brings up so that it can help us to fix this problem. We will try to reproduce this error at our end based on your inputs.
  • Picture of Emanuelis Norbutas
    Sun, Nov 9, 2014, 10:04 AM
    Doesn't work with Essential theme sad
  • Picture of Pinky Sharma
    Thu, Nov 13, 2014, 6:45 PM
    Hello Emanuelis,

    Try new version with Essential theme. If problem persist Go to Vm Chat index page and try changing "How to deal with jQuery" options and see if it works.
    Find more detail about this issue - https://github.com/vidyamantra/moodle-local_vmchat/issues/2
  • Picture of can meşe
    Fri, May 1, 2015, 2:12 AM
    Hello;
    It is very nice application.
    I recommend the fact that it can give a chance to select chatting among only course participants.
    Also how we can change weight of bar?
  • Picture of Pinky Sharma
    Mon, May 4, 2015, 2:54 PM
    Hello Can meşe,

    Thanks for using it.
    This feature is already under enhancement section of this plugin.(https://github.com/vidyamantra/moodle-local_vmchat/issues/1)
    Not getting your second point. Can you elaborate the meaning of weight of bar?
  • Picture of Ellen Spertus
    Wed, Aug 19, 2015, 8:16 AM
    I followed your installation instructions, including requesting a key through the Get Key settings; however, I keep getting the error "VmChat License Key is not valid".
  • Picture of Ellen Spertus
    Thu, Aug 20, 2015, 7:47 AM
    I deleted the key and got a new one. Now, chat is working. Thank you.
  • Picture of Daniel Medina Arango
    Tue, Aug 25, 2015, 6:47 AM
    Hello I have a problem when you turn on chat. The error is dmlwriteexception. I use postgresql Moodle 9.2 and 2.9, any idea to fix it?
  • Picture of Pinky Sharma
    Tue, Aug 25, 2015, 5:30 PM
    Hello Daniel,

    Thank you for reporting bug.
    To fix this error we updated the code. Try new version(1.2.3) with postgresql.
  • Picture of Dr. Nellie Deutsch
    Tue, Aug 25, 2015, 6:12 PM
    Everything is all set, but the chat does not appear: http://moodle4teachers.org
  • Picture of Pinky Sharma
    Tue, Aug 25, 2015, 7:10 PM
    Hi Nellie,

    I am able to see chat bar at your site. Try to load page multiple times and see if this will work for you.
  • Picture of Александр Козлов
    Tue, Aug 25, 2015, 8:26 PM
    After installation in Moodle chat 2.9.1 does not appear, and the plugin asks to be updated. Plugin "Get Key" I understand, too, your, it is only possible to delete via FTP? The settings of both plugins are not served (no buttons).
  • Picture of Pinky Sharma
    Tue, Aug 25, 2015, 10:29 PM
    Try to update latest version and then enable it from Site administration -> Vm chat to make it appear.
    Both plugins can be uninstalled via interface. Since Vmchat depends on Get key, so first you need to uninstall vmchat then uninstall link for Get key will automatically appear.
  • Picture of Александр Козлов
    Wed, Aug 26, 2015, 12:39 PM
    With the removal of plugins figured out, but the latest version of your plugin does not work on Moodle 2.9.1. the plugin offers download a newer version, if not download the chat window, I just don't see
  • Picture of Pinky Sharma
    Wed, Aug 26, 2015, 4:50 PM
    What error your are getting. Plugin is fully compatible with 2.9.1.
1 2
Please login to post comments